'use strict';

var vue = require('vue');
var vue$1 = require('@headlessui/vue');
var solid = require('@heroicons/vue/solid');
var dayjs = require('dayjs');
var veeValidate = require('vee-validate');
var Datepicker = require('@vuepic/vue-datepicker');
var vueFilePond = require('vue-filepond');
require('filepond/dist/filepond.min.css');
require('filepond-plugin-image-preview/dist/filepond-plugin-image-preview.min.css');
var FilePondPluginFileValidateType = require('filepond-plugin-file-validate-type');
var FilePondPluginImagePreview = require('filepond-plugin-image-preview');
var FilePondPlugFileValidateSize = require('filepond-plugin-file-validate-size');

const _hoisted_1$5 = {
  key: 0,
  class: "animate-spin -ml-1 mr-3 h-5 w-5 text-white",
  xmlns: "http://www.w3.org/2000/svg",
  fill: "none",
  viewBox: "0 0 24 24"
};
const _hoisted_2$4 = /*#__PURE__*/vue.createElementVNode("circle", {
  class: "opacity-25",
  cx: "12",
  cy: "12",
  r: "10",
  stroke: "currentColor",
  "stroke-width": "4"
}, null, -1 /* HOISTED */);
const _hoisted_3$4 = /*#__PURE__*/vue.createElementVNode("path", {
  class: "opacity-75",
  fill: "currentColor",
  d: "M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"
}, null, -1 /* HOISTED */);
const _hoisted_4$2 = [
  _hoisted_2$4,
  _hoisted_3$4
];


  
  
var script$9 = {
  __name: 'VLoading',
  props: {
    show: {
      type: Boolean,
      default: false,
    },
  },
  setup(__props) {

  
  
return (_ctx, _cache) => {
  return (__props.show)
    ? (vue.openBlock(), vue.createElementBlock("svg", _hoisted_1$5, _hoisted_4$2))
    : vue.createCommentVNode("v-if", true)
}
}

};

script$9.__file = "src/components/VLoading.vue";

const _hoisted_1$4 = ["disabled"];


  const __default__$8 = {
    name: 'VButton',
  };

var script$8 = /*#__PURE__*/Object.assign(__default__$8, {
  props: {
  loading: {
    default: false,
  },
  disabled: {
    default: false,
  },
  width: {
    default: "auto",
  },
  height: {
    default: "auto",
  },
},
  setup(__props) {

const props = __props;



return (_ctx, _cache) => {
  return (vue.openBlock(), vue.createElementBlock("button", {
    class: vue.normalizeClass(`inline-flex 
      items-center 
      px-3 
      py-2 
      border 
      border-transparent 
      text-sm 
      leading-4 
      font-medium 
      rounded-md 
      shadow-sm 
      text-untitled-gray-800 
      ${
        props.disabled
          ? 'bg-untitled-gray-600  text-untitled-gray-500'
          : 'bg-untitled-gray-200'
      } 
      hover:bg-untitled-gray-600 
      focus:outline-none focus:ring-2 
      focus:ring-offset-2 
      focus:ring-untitled-gray-500 
      text-center 
      h-[${props.height}] 
      w-[${props.width}]`),
    disabled: props.loading || props.disabled
  }, [
    vue.createVNode(script$9, {
      show: props.loading
    }, null, 8 /* PROPS */, ["show"]),
    vue.renderSlot(_ctx.$slots, "default")
  ], 10 /* CLASS, PROPS */, _hoisted_1$4))
}
}

});

script$8.__file = "src/components/VButton.vue";

const _hoisted_1$3 = { class: "z-[99999999999] text-untitled-gray-400" };
const _hoisted_2$3 = { class: "z-[10] h-10 relative w-full cursor-default overflow-hidden rounded-lg bg-white text-left border border-untitled-gray-300 focus:outline-none focus-visible:ring-2 focus-visible:ring-white focus-visible:ring-opacity-75 focus-visible:ring-offset-2 focus-visible:ring-offset-teal-300 sm:text-sm" };
const _hoisted_3$3 = {
  key: 0,
  class: "flex items-center ml-5 max-h-[50px] h-[50px] text-xs w-full hover:cursor-text"
};
const _hoisted_4$1 = ["for"];
const _hoisted_5$1 = { class: "relative" };
const _hoisted_6$1 = {
  key: 0,
  class: "relative cursor-default select-none py-2 px-4 text-gray-700"
};
const _hoisted_7$1 = {
  key: 1,
  class: "relative cursor-default select-none py-2 px-4 text-gray-700"
};
const _hoisted_8$1 = { key: 4 };
const _hoisted_9$1 = { class: "mt-2 text-red-500 text-xs italic" };


const __default__$7 = {
  name: "VCombobox",
};

var script$7 = /*#__PURE__*/Object.assign(__default__$7, {
  props: {
  modelValue: {
    default: null,
  },
  options: {
    default: [],
  },
  isMultiple: {
    default: false,
    type: Boolean,
  },
  isLoading: {
    default: false,
    type: Boolean,
  },
  isDisabled: {
    default: false,
    type: Boolean,
  },
  optionName: {
    default: "name",
    type: String,
  },
  placeholder: {
    default: "Placeholder",
    type: String,
  },
  name: {
    default: "name",
    type: String,
  },
  rules: {
    default: [],
  },
},
  emits: ["update:modelValue"],
  setup(__props, { emit }) {

const props = __props;





const query = vue.ref("");

const totalSelected = vue.ref();
const showSelectedItem = vue.ref(true);
const comboBoxID = dayjs(new Date()).format("HmSSS");

const changeTextQuery = (event) => {
  query.value = event.target.value;
};

const handleSearch = (e) => {
  showSelectedItem.value = e?.target?.value?.length ? false : true;
};

const comboboxValue = vue.ref(props.modelValue);

vue.watch(comboboxValue, (watchValue) => {
  value.value = watchValue;
});
const displaySelectedItem = () => {
  const totalSeletedItem = value?.value?.length + 1;

  totalSelected.value = totalSeletedItem;

  if (value?.value?.length <= 3) {
    return value?.value
      ?.map((item) => {
        return item[props.optionName];
      })
      .join(",");
  } else {
    return (
      value?.value
        ?.map((item) => item[props.optionName])
        .slice(0, 3)
        .join(" , ") + ` +${totalSeletedItem - 4}`
    );
  }
};

const filteredItems = vue.computed(() =>
  query.value === ""
    ? props?.options
    : props?.options?.filter((item) =>
        item[props.optionName]
          .toLowerCase()
          .replace(/\s+/g, "")
          .includes(query.value.toLowerCase().replace(/\s+/g, ""))
      )
);

const validateField = (value) => {
  let error = true;

  for (let i = 0; i < props.rules?.length; i++) {
    const rule = props.rules[i];

    error = rule(value);

    if (error != true) {
      break;
    }
  }

  emit("update:modelValue", value);

  return error;
};

const { errorMessage, value } = veeValidate.useField(props.name, validateField, {
  validateOnValueUpdate: true,
  initialValue: props?.modelValue,
});

return (_ctx, _cache) => {
  return (vue.openBlock(), vue.createElementBlock("div", null, [
    vue.createVNode(vue.unref(vue$1.Combobox), {
      modelValue: comboboxValue.value,
      "onUpdate:modelValue": _cache[6] || (_cache[6] = $event => ((comboboxValue).value = $event)),
      multiple: __props.isMultiple,
      disabled: __props.isDisabled,
      name: __props.name
    }, {
      default: vue.withCtx(() => [
        vue.createElementVNode("div", _hoisted_1$3, [
          vue.createElementVNode("div", _hoisted_2$3, [
            (__props.isMultiple && showSelectedItem.value && query.value.length <= 0)
              ? (vue.openBlock(), vue.createElementBlock("p", _hoisted_3$3, [
                  vue.createElementVNode("label", {
                    for: `combo${vue.unref(comboBoxID)}`,
                    class: "z-10 mr-3 mb-3 w-4/5 hover:cursor-text"
                  }, vue.toDisplayString(displaySelectedItem()), 9 /* TEXT, PROPS */, _hoisted_4$1)
                ]))
              : vue.createCommentVNode("v-if", true),
            vue.createVNode(vue.unref(vue$1.ComboboxButton), {
              as: "div",
              class: vue.normalizeClass(["absolute inset-y-0 right-0 flex items-center pr-2 w-full hover:cursor-text", { 'bg-[#f6f6f6]': __props.isDisabled }]),
              onClick: _cache[2] || (_cache[2] = $event => (handleSearch()))
            }, {
              default: vue.withCtx(() => [
                vue.createVNode(vue.unref(vue$1.ComboboxInput), {
                  id: `combo${vue.unref(comboBoxID)}`,
                  class: "w-full ml-5 appearance-none border-none outline-none",
                  displayValue: (item) => (item ? item[props.optionName] : ''),
                  placeholder: vue.unref(value)?.length > 0 ? '' : __props.placeholder,
                  onChange: _cache[0] || (_cache[0] = $event => (changeTextQuery($event))),
                  onKeypress: _cache[1] || (_cache[1] = $event => (handleSearch())),
                  autocomplete: "off",
                  disabled: __props.isDisabled
                }, null, 8 /* PROPS */, ["id", "displayValue", "placeholder", "disabled"]),
                vue.createVNode(vue.unref(solid.ChevronDownIcon), {
                  class: "h-5 w-5 text-gray-400 absolute mr-2 right-0",
                  "aria-hidden": "true"
                })
              ]),
              _: 1 /* STABLE */
            }, 8 /* PROPS */, ["class"])
          ]),
          vue.createVNode(vue.unref(vue$1.TransitionRoot), {
            leave: "transition ease-in duration-100",
            leaveFrom: "opacity-100",
            leaveTo: "opacity-0",
            onAfterLeave: _cache[5] || (_cache[5] = $event => ((query.value = ''), (showSelectedItem.value = true)))
          }, {
            default: vue.withCtx(() => [
              vue.createElementVNode("div", _hoisted_5$1, [
                vue.createVNode(vue.unref(vue$1.ComboboxOptions), { class: "w-full z-[10000] absolute mt-1 max-h-60 overflow-auto rounded-md bg-white py-1 text-base shadow-lg ring-1 ring-black ring-opacity-5 focus:outline-none sm:text-sm" }, {
                  default: vue.withCtx(() => [
                    (
                  !props.isLoading &&
                  vue.unref(filteredItems)?.length === 0 &&
                  query.value !== ''
                )
                      ? (vue.openBlock(), vue.createElementBlock("div", _hoisted_6$1, " Nothing found. "))
                      : vue.createCommentVNode("v-if", true),
                    (props.isLoading)
                      ? (vue.openBlock(), vue.createElementBlock("div", _hoisted_7$1, " Loading... "))
                      : vue.createCommentVNode("v-if", true),
                    (
                  props.isMultiple &&
                  comboboxValue.value?.length > 0 &&
                  !props.isLoading
                )
                      ? (vue.openBlock(), vue.createElementBlock("p", {
                          key: 2,
                          class: "text-center hover:cursor-pointer",
                          onClick: _cache[3] || (_cache[3] = $event => (comboboxValue.value = []))
                        }, " Deselect "))
                      : vue.createCommentVNode("v-if", true),
                    (
                  props.isMultiple &&
                  comboboxValue.value?.length == 0 &&
                  !props.isLoading
                )
                      ? (vue.openBlock(), vue.createElementBlock("p", {
                          key: 3,
                          class: "text-center hover:cursor-pointer",
                          onClick: _cache[4] || (_cache[4] = $event => (comboboxValue.value = __props.options))
                        }, " Select All "))
                      : vue.createCommentVNode("v-if", true),
                    (!props.isLoading)
                      ? (vue.openBlock(), vue.createElementBlock("span", _hoisted_8$1, [
                          (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(vue.unref(filteredItems), (item) => {
                            return (vue.openBlock(), vue.createBlock(vue.unref(vue$1.ComboboxOption), {
                              as: "template",
                              key: item.id,
                              value: item
                            }, {
                              default: vue.withCtx(({ selected, active }) => [
                                vue.createElementVNode("li", {
                                  class: vue.normalizeClass(["relative cursor-default select-none py-2 pl-10 pr-4", {
                      ' bg-untitled-gray-200 text-untitled-gray-800': active,
                      'text-gray-900': !active,
                    }])
                                }, [
                                  vue.createElementVNode("span", {
                                    class: vue.normalizeClass(["block truncate", {
                        'font-medium': selected,
                        'font-normal': !selected,
                      }])
                                  }, vue.toDisplayString(item[props.optionName]), 3 /* TEXT, CLASS */),
                                  selected
                                    ? (vue.openBlock(), vue.createElementBlock("span", {
                                        key: 0,
                                        class: vue.normalizeClass(["absolute inset-y-0 left-0 flex items-center pl-3", {
                        'text-untitled-gray-800': active,
                        'text-untitled-gray-400': !active,
                      }])
                                      }, [
                                        vue.createVNode(vue.unref(solid.CheckIcon), {
                                          class: "h-5 w-5",
                                          "aria-hidden": "true"
                                        })
                                      ], 2 /* CLASS */))
                                    : vue.createCommentVNode("v-if", true)
                                ], 2 /* CLASS */)
                              ]),
                              _: 2 /* DYNAMIC */
                            }, 1032 /* PROPS, DYNAMIC_SLOTS */, ["value"]))
                          }), 128 /* KEYED_FRAGMENT */))
                        ]))
                      : vue.createCommentVNode("v-if", true)
                  ]),
                  _: 1 /* STABLE */
                })
              ])
            ]),
            _: 1 /* STABLE */
          })
        ])
      ]),
      _: 1 /* STABLE */
    }, 8 /* PROPS */, ["modelValue", "multiple", "disabled", "name"]),
    vue.createElementVNode("span", _hoisted_9$1, vue.toDisplayString(vue.unref(errorMessage)), 1 /* TEXT */)
  ]))
}
}

});

script$7.__file = "src/components/VCombobox.vue";

const __default__$6 = {
  name: "VDatePicker",
};

var script$6 = /*#__PURE__*/Object.assign(__default__$6, {
  props: {
  modelValue: {
    default: "",
  },
  range: {
    default: false,
    type: Boolean,
  },
  disabled: {
    default: false,
    type: Boolean,
  },
  enableTimePicker: {
    default: true,
    type: Boolean,
  },
  minDate: {
    default: null,
  },
  maxDate: {
    default: null,
  },
},
  emits: ["update:modelValue"],
  setup(__props, { emit }) {

const props = __props;





const value = vue.computed({
  get() {
    return props.modelValue;
  },
  set(value) {
    emit("update:modelValue", value);
  },
});

return (_ctx, _cache) => {
  return (vue.openBlock(), vue.createBlock(vue.unref(Datepicker), {
    modelValue: vue.unref(value),
    "onUpdate:modelValue": _cache[0] || (_cache[0] = $event => (vue.isRef(value) ? (value).value = $event : null)),
    class: "text-sm",
    range: __props.range,
    disabled: __props.disabled,
    "enable-time-picker": __props.enableTimePicker,
    "min-date": __props.minDate,
    "max-date": __props.maxDate
  }, null, 8 /* PROPS */, ["modelValue", "range", "disabled", "enable-time-picker", "min-date", "max-date"]))
}
}

});

script$6.__file = "src/components/VDatePicker.vue";

const _hoisted_1$2 = /*#__PURE__*/vue.createElementVNode("div", { class: "fixed inset-0 bg-black bg-opacity-25" }, null, -1 /* HOISTED */);
const _hoisted_2$2 = { class: "fixed inset-0 overflow-y-auto" };
const _hoisted_3$2 = { class: "flex min-h-full items-center justify-center p-4 text-center" };


const __default__$5 = {
  name: "VDialog",
};

var script$5 = /*#__PURE__*/Object.assign(__default__$5, {
  props: {
  modelValue: {
    default: false,
  },
},
  emits: ["update:modelValue"],
  setup(__props, { emit }) {

const props = __props;





const value = vue.computed({
  get() {
    return props.modelValue;
  },
  set(value) {
    emit("update:modelValue", value);
  },
});

return (_ctx, _cache) => {
  return (vue.openBlock(), vue.createElementBlock(vue.Fragment, null, [
    vue.createElementVNode("div", null, [
      vue.renderSlot(_ctx.$slots, "activator")
    ]),
    vue.createVNode(vue.unref(vue$1.TransitionRoot), {
      appear: "",
      show: vue.unref(value),
      as: "template"
    }, {
      default: vue.withCtx(() => [
        vue.createVNode(vue.unref(vue$1.Dialog), {
          as: "div",
          onClose: _cache[0] || (_cache[0] = $event => (value.value = false)),
          class: "relative z-10"
        }, {
          default: vue.withCtx(() => [
            vue.createVNode(vue.unref(vue$1.TransitionChild), {
              as: "template",
              enter: "duration-300 ease-out",
              "enter-from": "opacity-0",
              "enter-to": "opacity-100",
              leave: "duration-200 ease-in",
              "leave-from": "opacity-100",
              "leave-to": "opacity-0"
            }, {
              default: vue.withCtx(() => [
                _hoisted_1$2
              ]),
              _: 1 /* STABLE */
            }),
            vue.createElementVNode("div", _hoisted_2$2, [
              vue.createElementVNode("div", _hoisted_3$2, [
                vue.createVNode(vue.unref(vue$1.TransitionChild), {
                  as: "template",
                  enter: "duration-300 ease-out",
                  "enter-from": "opacity-0 scale-95",
                  "enter-to": "opacity-100 scale-100",
                  leave: "duration-200 ease-in",
                  "leave-from": "opacity-100 scale-100",
                  "leave-to": "opacity-0 scale-95"
                }, {
                  default: vue.withCtx(() => [
                    vue.createVNode(vue.unref(vue$1.DialogPanel), { class: "w-full max-w-md transform rounded-2xl bg-white p-6 text-left align-middle shadow-xl transition-all" }, {
                      default: vue.withCtx(() => [
                        vue.renderSlot(_ctx.$slots, "default")
                      ]),
                      _: 3 /* FORWARDED */
                    })
                  ]),
                  _: 3 /* FORWARDED */
                })
              ])
            ])
          ]),
          _: 3 /* FORWARDED */
        })
      ]),
      _: 3 /* FORWARDED */
    }, 8 /* PROPS */, ["show"])
  ], 64 /* STABLE_FRAGMENT */))
}
}

});

script$5.__file = "src/components/VDialog.vue";

const __default__$4 = {
  name: "VFileInput",
};

var script$4 = /*#__PURE__*/Object.assign(__default__$4, {
  setup(__props) {

const FilePond = vueFilePond(
  FilePondPluginFileValidateType,
  FilePondPluginImagePreview,
  FilePondPlugFileValidateSize
);

const pond = vue.ref(null);
const file = vue.ref(null);
const axios = vue.inject("axios");

const upload = () => {
  if (file?.value === null) return;

  store(file?.value, {
    visibility: "public-read",
    headers: {},
  }).then((response) => {
    console.log(response);
  });
};

const store = async (file, options = {}) => {
  const response = await axios.post(
    options.signedStorageUrl
      ? options.signedStorageUrl
      : "/vapor/signed-storage-url",
    {
      bucket: options.bucket || "",
      content_type: options.contentType || file.type,
      expires: options.expires || "",
      visibility: options.visibility || "",
      ...options.data,
    },
    {
      baseURL: options.baseURL || null,
      headers: options.headers || {},
      ...options.options,
    }
  );

  let headers = response.data.headers;

  if ("Host" in headers) {
    delete headers.Host;
    delete headers["x-amz-acl"];
  }

  if (typeof options.progress === "undefined") {
    options.progress = () => {};
  }

  const cancelToken = options.cancelToken || "";

  await axios.put(response.data.url, file, {
    cancelToken: cancelToken,
    headers: headers,
    onUploadProgress: (progressEvent) => {
      options.progress(progressEvent.loaded / progressEvent.total);
    },
  });

  response.data.extension = file.name.split(".").pop();

  return response.data;
};

const handleFilePondUpdateFiles = (value) => {
  file.value = value[0]?.file;
};

return (_ctx, _cache) => {
  return (vue.openBlock(), vue.createElementBlock(vue.Fragment, null, [
    vue.createVNode(vue.unref(FilePond), {
      className: "cursor-pointer text-sm",
      "label-idle": "Drop your video file here or click to browse your computer (Accepted File : mp4, mov, mkv)",
      ref_key: "pond",
      ref: pond,
      credits: "false",
      "allow-multiple": "false",
      allowFileTypeValidation: "true",
      allowFileSizeValidation: "true",
      fileValidateTypeDetectType: "true",
      "max-files": "1",
      maxFileSize: "200MB",
      allowRemove: "true",
      allowProcess: "false",
      checkValidity: "false",
      "instant-upload": "false",
      "accepted-file-types": "video/mp4, video/x-matroska, video/quicktime",
      onUpdatefiles: handleFilePondUpdateFiles
    }, null, 512 /* NEED_PATCH */),
    vue.createVNode(script$8, { onClick: upload }, {
      default: vue.withCtx(() => [
        vue.createTextVNode("Upload")
      ]),
      _: 1 /* STABLE */
    })
  ], 64 /* STABLE_FRAGMENT */))
}
}

});

script$4.__file = "src/components/VFileInput.vue";

const __default__$3 = {
  name: "VForm",
};

var script$3 = /*#__PURE__*/Object.assign(__default__$3, {
  emits: ["submit"],
  setup(__props, { emit }) {



const { handleSubmit } = veeValidate.useForm();

const onSubmit = handleSubmit((value) => {
  emit("submit", value);
});

return (_ctx, _cache) => {
  return (vue.openBlock(), vue.createElementBlock("form", {
    onSubmit: _cache[0] || (_cache[0] = vue.withModifiers((...args) => (vue.unref(onSubmit) && vue.unref(onSubmit)(...args)), ["prevent"]))
  }, [
    vue.renderSlot(_ctx.$slots, "default")
  ], 32 /* HYDRATE_EVENTS */))
}
}

});

script$3.__file = "src/components/VForm.vue";

const _hoisted_1$1 = { class: "z-[99999999999] text-untitled-gray-400" };
const _hoisted_2$1 = {
  key: 0,
  class: "block truncate text-untitled-gray-400 font-thin ml-[20px]"
};
const _hoisted_3$1 = {
  key: 1,
  class: "block truncate text-untitled-gray-400 font-thin ml-[20px]"
};
const _hoisted_4 = { class: "pointer-events-none absolute inset-y-0 right-0 flex items-center pr-2" };
const _hoisted_5 = { class: "relative" };
const _hoisted_6 = {
  key: 0,
  class: "relative cursor-default select-none py-2 px-4 text-gray-700"
};
const _hoisted_7 = {
  key: 1,
  class: "relative cursor-default select-none py-2 px-4 text-gray-700"
};
const _hoisted_8 = { key: 4 };
const _hoisted_9 = {
  key: 0,
  class: "absolute inset-y-0 left-0 flex items-center pl-3 text-untitled-gray-400"
};
const _hoisted_10 = { class: "mt-2 text-red-500 text-xs italic" };


const __default__$2 = {
  name: "VSelect",
};

var script$2 = /*#__PURE__*/Object.assign(__default__$2, {
  props: {
  modelValue: {
    default: null,
  },
  options: {
    default: [],
  },
  isMultiple: {
    default: false,
    type: Boolean,
  },
  isLoading: {
    default: false,
    type: Boolean,
  },
  isDisabled: {
    default: false,
    type: Boolean,
  },
  placeholder: {
    default: "Placeholder",
  },
  optionName: {
    default: "name",
  },
  name: {
    default: "name",
    type: String,
  },
  rules: {
    default: [],
  },
},
  emits: ["update:modelValue"],
  setup(__props, { emit }) {

const props = __props;





const selectValue = vue.ref(props.modelValue);

vue.watch(selectValue, (watchValue) => {
  value.value = watchValue;
});

const displaySelected = () => {
  const totalSeletedItem = value?.value?.length + 1;

  if (value?.value?.length <= 3) {
    return value?.value
      ?.map((item) => {
        return item.name;
      })
      .join(",");
  } else {
    return (
      value?.value
        ?.map((item) => item.name)
        .slice(0, 3)
        .join(" , ") + ` +${totalSeletedItem - 4}`
    );
  }
};

const validateField = (value) => {
  let error = true;

  for (let i = 0; i < props.rules?.length; i++) {
    const rule = props.rules[i];

    error = rule(value);

    if (error != true) {
      break;
    }
  }

  emit("update:modelValue", value);

  return error;
};

const { errorMessage, value } = veeValidate.useField(props.name, validateField, {
  validateOnValueUpdate: true,
  initialValue: props?.modelValue,
});

return (_ctx, _cache) => {
  return (vue.openBlock(), vue.createElementBlock("div", null, [
    vue.createVNode(vue.unref(vue$1.Listbox), {
      modelValue: selectValue.value,
      "onUpdate:modelValue": _cache[2] || (_cache[2] = $event => ((selectValue).value = $event)),
      multiple: __props.isMultiple,
      disabled: __props.isDisabled,
      name: __props.name
    }, {
      default: vue.withCtx(() => [
        vue.createElementVNode("div", _hoisted_1$1, [
          vue.createVNode(vue.unref(vue$1.ListboxButton), {
            class: vue.normalizeClass(["z-[10] w-min-[400px] w-max-[500px] h-10 relative w-full cursor-default overflow-hidden rounded-lg bg-white text-left border border-untitled-gray-300 focus:outline-none focus-visible:ring-2 focus-visible:ring-white focus-visible:ring-opacity-75 focus-visible:ring-offset-2 focus-visible:ring-offset-teal-300 sm:text-sm", { 'bg-[#f6f6f6]': __props.isDisabled }])
          }, {
            default: vue.withCtx(() => [
              (__props.isMultiple)
                ? (vue.openBlock(), vue.createElementBlock("span", _hoisted_2$1, vue.toDisplayString(selectValue.value?.length ? displaySelected() : __props.placeholder), 1 /* TEXT */))
                : (vue.openBlock(), vue.createElementBlock("span", _hoisted_3$1, vue.toDisplayString(selectValue.value ? selectValue.value[__props.optionName] : __props.placeholder), 1 /* TEXT */)),
              vue.createElementVNode("span", _hoisted_4, [
                vue.createVNode(vue.unref(solid.ChevronDownIcon), {
                  class: "h-5 w-5 text-gray-400 absolute mr-2 right-0",
                  "aria-hidden": "true"
                })
              ])
            ]),
            _: 1 /* STABLE */
          }, 8 /* PROPS */, ["class"]),
          vue.createVNode(vue.Transition, {
            "leave-active-class": "transition duration-100 ease-in",
            "leave-from-class": "opacity-100",
            "leave-to-class": "opacity-0"
          }, {
            default: vue.withCtx(() => [
              vue.createElementVNode("div", _hoisted_5, [
                vue.createVNode(vue.unref(vue$1.ListboxOptions), { class: "z-[10000] absolute mt-1 max-h-60 w-full overflow-auto rounded-md bg-white py-1 text-base shadow-lg ring-1 ring-black ring-opacity-5 focus:outline-none sm:text-sm" }, {
                  default: vue.withCtx(() => [
                    (!props.isLoading && __props.options?.length === 0 && _ctx.query !== '')
                      ? (vue.openBlock(), vue.createElementBlock("div", _hoisted_6, " Nothing found. "))
                      : vue.createCommentVNode("v-if", true),
                    (props.isLoading)
                      ? (vue.openBlock(), vue.createElementBlock("div", _hoisted_7, " Loading... "))
                      : vue.createCommentVNode("v-if", true),
                    (__props.isMultiple && selectValue.value?.length > 0 && !props.isLoading)
                      ? (vue.openBlock(), vue.createElementBlock("p", {
                          key: 2,
                          class: "text-center hover:cursor-pointer",
                          onClick: _cache[0] || (_cache[0] = $event => (selectValue.value = []))
                        }, " Deselect "))
                      : vue.createCommentVNode("v-if", true),
                    (
                  __props.isMultiple && selectValue.value?.length == 0 && !props.isLoading
                )
                      ? (vue.openBlock(), vue.createElementBlock("p", {
                          key: 3,
                          class: "text-center hover:cursor-pointer",
                          onClick: _cache[1] || (_cache[1] = $event => (selectValue.value = __props.options))
                        }, " Select All "))
                      : vue.createCommentVNode("v-if", true),
                    (!props.isLoading)
                      ? (vue.openBlock(), vue.createElementBlock("span", _hoisted_8, [
                          (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(__props.options, (filter, index) => {
                            return (vue.openBlock(), vue.createBlock(vue.unref(vue$1.ListboxOption), {
                              key: index,
                              value: filter,
                              as: "template"
                            }, {
                              default: vue.withCtx(({ active, selected }) => [
                                vue.createElementVNode("li", {
                                  class: vue.normalizeClass([
                      active
                        ? 'bg-untitled-gray-200 text-untitled-gray-800'
                        : 'text-gray-900',
                      'relative cursor-default select-none py-2 pl-10 pr-4',
                    ])
                                }, [
                                  vue.createElementVNode("span", {
                                    class: vue.normalizeClass([
                        selected ? 'font-medium' : 'font-normal',
                        'block truncate',
                      ])
                                  }, vue.toDisplayString(filter[__props.optionName]), 3 /* TEXT, CLASS */),
                                  selected
                                    ? (vue.openBlock(), vue.createElementBlock("span", _hoisted_9, [
                                        vue.createVNode(vue.unref(solid.CheckIcon), {
                                          class: "h-5 w-5",
                                          "aria-hidden": "true"
                                        })
                                      ]))
                                    : vue.createCommentVNode("v-if", true)
                                ], 2 /* CLASS */)
                              ]),
                              _: 2 /* DYNAMIC */
                            }, 1032 /* PROPS, DYNAMIC_SLOTS */, ["value"]))
                          }), 128 /* KEYED_FRAGMENT */))
                        ]))
                      : vue.createCommentVNode("v-if", true)
                  ]),
                  _: 1 /* STABLE */
                })
              ])
            ]),
            _: 1 /* STABLE */
          })
        ])
      ]),
      _: 1 /* STABLE */
    }, 8 /* PROPS */, ["modelValue", "multiple", "disabled", "name"]),
    vue.createElementVNode("span", _hoisted_10, vue.toDisplayString(vue.unref(errorMessage)), 1 /* TEXT */)
  ]))
}
}

});

script$2.__file = "src/components/VSelect.vue";

const _hoisted_1 = { class: "flex flex-col" };
const _hoisted_2 = ["disabled", "name", "value", "placeholder"];
const _hoisted_3 = {
  key: 0,
  class: "mt-2 text-red-500 text-xs italic"
};


const __default__$1 = {
  name: "VTextField",
};

var script$1 = /*#__PURE__*/Object.assign(__default__$1, {
  props: {
  modelValue: {
    default: "",
  },
  placeholder: {
    default: "Placeholder",
  },
  rules: {
    default: [],
  },
  name: {
    default: "",
  },
  disabled: {
    default: false,
    type: Boolean,
  },
},
  emits: ["update:modelValue"],
  setup(__props, { emit }) {

const props = __props;





const validateField = (value) => {
  let error = true;

  for (let i = 0; i < props.rules?.length; i++) {
    const rule = props.rules[i];

    error = rule(value);

    if (error != true) {
      break;
    }
  }

  emit("update:modelValue", value);

  return error;
};

const { errorMessage, value, handleChange } = veeValidate.useField(
  props.name,
  validateField,
  {
    validateOnValueUpdate: false,
    initialValue: props?.modelValue,
  }
);

const validationListeners = vue.computed(() => {
  // If the field is valid or have not been validated yet
  // lazy
  if (!errorMessage.value) {
    return {
      blur: handleChange,
      change: handleChange,
      input: (e) => handleChange(e, false),
    };
  }

  // Aggressive
  return {
    blur: handleChange,
    change: handleChange,
    input: handleChange, // only switched this
  };
});

return (_ctx, _cache) => {
  return (vue.openBlock(), vue.createElementBlock("div", _hoisted_1, [
    vue.createElementVNode("input", vue.mergeProps({
      disabled: __props.disabled,
      name: __props.name
    }, vue.toHandlers(vue.unref(validationListeners), true), {
      value: vue.unref(value),
      type: "text",
      placeholder: __props.placeholder,
      class: ["block w-full appearance-none rounded-md border border-untitled-gray-300 px-3 py-2 placeholder-untitled-gray-400 shadow-sm focus:border-untitled-gray-500 focus:outline-none focus:ring-untitled-gray-500 sm:text-sm", {
        'border-red-600 placeholder-red-600 shadow-sm focus:border-red-600':
          vue.unref(errorMessage)?.length,
      }]
    }), null, 16 /* FULL_PROPS */, _hoisted_2),
    (vue.unref(errorMessage))
      ? (vue.openBlock(), vue.createElementBlock("span", _hoisted_3, vue.toDisplayString(vue.unref(errorMessage)), 1 /* TEXT */))
      : vue.createCommentVNode("v-if", true)
  ]))
}
}

});

script$1.__file = "src/components/VTextField.vue";

const __default__ = {
  name: "VTimePicker",
};

var script = /*#__PURE__*/Object.assign(__default__, {
  props: {
  modelValue: {
    default: "",
  },
  disabled: {
    default: false,
    type: Boolean,
  },
},
  emits: ["update:modelValue"],
  setup(__props, { emit }) {

const props = __props;





const value = vue.computed({
  get() {
    return props.modelValue;
  },
  set(value) {
    emit("update:modelValue", value);
  },
});

return (_ctx, _cache) => {
  return (vue.openBlock(), vue.createBlock(vue.unref(Datepicker), {
    modelValue: vue.unref(value),
    "onUpdate:modelValue": _cache[0] || (_cache[0] = $event => (vue.isRef(value) ? (value).value = $event : null)),
    class: "text-sm",
    disabled: __props.disabled,
    "time-picker": "",
    "is-24": false
  }, null, 8 /* PROPS */, ["modelValue", "disabled"]))
}
}

});

script.__file = "src/components/VTimePicker.vue";

exports.VButton = script$8;
exports.VCombobox = script$7;
exports.VDatePicker = script$6;
exports.VDialog = script$5;
exports.VFileInput = script$4;
exports.VForm = script$3;
exports.VSelect = script$2;
exports.VTextField = script$1;
exports.VTimePicker = script;
